> For the complete documentation index, see [llms.txt](https://run-ai-docs.nvidia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://run-ai-docs.nvidia.com/self-hosted/2.25/reference/cli/runai/runai_xgboost.md).

# runai xgboost

alias for xgboost management

## Options

```
  -h, --help   help for xgboost
```

## Options inherited from parent commands

```
      --config-file string   config file name; can be set by environment variable RUNAI_CLI_CONFIG_FILE (default "config.json")
      --config-path string   config path; can be set by environment variable RUNAI_CLI_CONFIG_PATH
  -d, --debug                enable debug mode
  -q, --quiet                enable quiet mode, suppress all output except error messages
      --verbose              enable verbose mode
```

## SEE ALSO

* [runai](/self-hosted/2.25/reference/cli/runai.md) - Run:ai Command-line Interface
* [runai xgboost attach](/self-hosted/2.25/reference/cli/runai/runai_xgboost_attach.md) - attach to a running container in a xgboost training workload
* [runai xgboost bash](/self-hosted/2.25/reference/cli/runai/runai_xgboost_bash.md) - open a bash shell in a xgboost training workload
* [runai xgboost delete](/self-hosted/2.25/reference/cli/runai/runai_xgboost_delete.md) - delete a xgboost training workload
* [runai xgboost describe](/self-hosted/2.25/reference/cli/runai/runai_xgboost_describe.md) - describe a xgboost training workload
* [runai xgboost exec](/self-hosted/2.25/reference/cli/runai/runai_xgboost_exec.md) - execute a command in a xgboost training workload
* [runai xgboost list](/self-hosted/2.25/reference/cli/runai/runai_xgboost_list.md) - list xgboost training workloads
* [runai xgboost logs](/self-hosted/2.25/reference/cli/runai/runai_xgboost_logs.md) - view logs of a xgboost training workload
* [runai xgboost port-forward](/self-hosted/2.25/reference/cli/runai/runai_xgboost_port-forward.md) - forward one or more local ports to a xgboost training workload
* [runai xgboost resume](/self-hosted/2.25/reference/cli/runai/runai_xgboost_resume.md) - resume xgboost training
* [runai xgboost submit](/self-hosted/2.25/reference/cli/runai/runai_xgboost_submit.md) - submit a xgboost training workload
* [runai xgboost suspend](/self-hosted/2.25/reference/cli/runai/runai_xgboost_suspend.md) - suspend a xgboost training workload


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://run-ai-docs.nvidia.com/self-hosted/2.25/reference/cli/runai/runai_xgboost.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
